Can't install mono-complete

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Yoshimaster96
Level 1
Level 1
Posts: 8
Joined: Mon May 28, 2018 1:07 pm

Can't install mono-complete

Post by Yoshimaster96 »

I'm having trouble installing mono-complete.

Using apt-get:

Code: Select all

sudo apt-get install mono-complete
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mono-complete : Depends: mono-runtime (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-runtime-sgen (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-utils (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-devel (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-mcs (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-roslyn (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-csharp-shell (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-4.0-gac (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: mono-4.0-service (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: monodoc-base (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: monodoc-manual (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: libmono-cil-dev (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
                 Depends: referenceassemblies-pcl but it is not going to be installed
                 Depends: msbuild but it is not going to be installed
                 Depends: ca-certificates-mono (= 5.12.0.226-0xamarin3+ubuntu1604b1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Using aptitude:

Code: Select all

sudo aptitude install mono-complete
The following NEW packages will be installed:
  ca-certificates-mono{a} libglade2.0-cil{a} libglib2.0-cil{ab} 
  libgtk2.0-cil{ab} libmono-2.0-1{a} libmono-2.0-dev{a} 
  libmono-accessibility4.0-cil{a} libmono-cairo4.0-cil{a} 
  libmono-cecil-private-cil{a} libmono-cil-dev{a} 
  libmono-codecontracts4.0-cil{a} 
  libmono-compilerservices-symbolwriter4.0-cil{a} libmono-corlib4.5-cil{a} 
  libmono-cscompmgd0.0-cil{a} libmono-csharp4.0c-cil{ab} 
  libmono-custommarshalers4.0-cil{a} libmono-data-tds4.0-cil{a} 
  libmono-db2-1.0-cil{a} libmono-debugger-soft4.0a-cil{a} 
  libmono-http4.0-cil{a} libmono-i18n-cjk4.0-cil{a} 
  libmono-i18n-mideast4.0-cil{a} libmono-i18n-other4.0-cil{a} 
  libmono-i18n-rare4.0-cil{a} libmono-i18n-west4.0-cil{a} 
  libmono-i18n4.0-all{a} libmono-i18n4.0-cil{a} libmono-ldap4.0-cil{a} 
  libmono-management4.0-cil{a} libmono-messaging-rabbitmq4.0-cil{a} 
  libmono-messaging4.0-cil{a} libmono-microsoft-build-engine4.0-cil{ab} 
  libmono-microsoft-build-framework4.0-cil{a} 
  libmono-microsoft-build-tasks-v4.0-4.0-cil{ab} 
  libmono-microsoft-build-utilities-v4.0-4.0-cil{ab} 
  libmono-microsoft-build4.0-cil{ab} libmono-microsoft-csharp4.0-cil{a} 
  libmono-microsoft-visualc10.0-cil{a} 
  libmono-microsoft-web-infrastructure1.0-cil{a} libmono-oracle4.0-cil{ab} 
  libmono-parallel4.0-cil{a} libmono-peapi4.0a-cil{a} 
  libmono-posix4.0-cil{ab} libmono-rabbitmq4.0-cil{a} 
  libmono-relaxng4.0-cil{a} libmono-security4.0-cil{a} 
  libmono-sharpzip4.84-cil{a} libmono-simd4.0-cil{a} 
  libmono-smdiagnostics0.0-cil{a} libmono-sqlite4.0-cil{a} 
  libmono-system-componentmodel-composition4.0-cil{a} 
  libmono-system-componentmodel-dataannotations4.0-cil{a} 
  libmono-system-configuration-install4.0-cil{a} 
  libmono-system-configuration4.0-cil{a} libmono-system-core4.0-cil{a} 
  libmono-system-data-datasetextensions4.0-cil{a} 
  libmono-system-data-entity4.0-cil{a} libmono-system-data-linq4.0-cil{a} 
  libmono-system-data-services-client4.0-cil{a} 
  libmono-system-data-services4.0-cil{a} libmono-system-data4.0-cil{a} 
  libmono-system-deployment4.0-cil{a} libmono-system-design4.0-cil{a} 
  libmono-system-drawing-design4.0-cil{a} libmono-system-drawing4.0-cil{ab} 
  libmono-system-dynamic4.0-cil{a} 
  libmono-system-enterpriseservices4.0-cil{a} 
  libmono-system-identitymodel-selectors4.0-cil{a} 
  libmono-system-identitymodel4.0-cil{a} 
  libmono-system-io-compression-filesystem4.0-cil{a} 
  libmono-system-io-compression4.0-cil{a} 
  libmono-system-json-microsoft4.0-cil{a} libmono-system-json4.0-cil{a} 
  libmono-system-ldap-protocols4.0-cil{a} libmono-system-ldap4.0-cil{a} 
  libmono-system-management4.0-cil{a} libmono-system-messaging4.0-cil{a} 
  libmono-system-net-http-formatting4.0-cil{a} 
  libmono-system-net-http-webrequest4.0-cil{a} 
  libmono-system-net-http4.0-cil{a} libmono-system-net4.0-cil{a} 
  libmono-system-numerics-vectors4.0-cil{a} 
  libmono-system-numerics4.0-cil{a} libmono-system-reactive-core2.2-cil{a} 
  libmono-system-reactive-debugger2.2-cil{a} 
  libmono-system-reactive-experimental2.2-cil{a} 
  libmono-system-reactive-interfaces2.2-cil{a} 
  libmono-system-reactive-linq2.2-cil{a} 
  libmono-system-reactive-observable-aliases0.0-cil{a} 
  libmono-system-reactive-platformservices2.2-cil{a} 
  libmono-system-reactive-providers2.2-cil{a} 
  libmono-system-reactive-runtime-remoting2.2-cil{a} 
  libmono-system-reactive-windows-forms2.2-cil{a} 
  libmono-system-reactive-windows-threading2.2-cil{a} 
  libmono-system-reflection-context4.0-cil{a} 
  libmono-system-runtime-caching4.0-cil{a} 
  libmono-system-runtime-durableinstancing4.0-cil{a} 
  libmono-system-runtime-serialization-formatters-soap4.0-cil{a} 
  libmono-system-runtime-serialization4.0-cil{a} 
  libmono-system-runtime4.0-cil{a} libmono-system-security4.0-cil{a} 
  libmono-system-servicemodel-activation4.0-cil{a} 
  libmono-system-servicemodel-discovery4.0-cil{a} 
  libmono-system-servicemodel-internals0.0-cil{a} 
  libmono-system-servicemodel-routing4.0-cil{a} 
  libmono-system-servicemodel-web4.0-cil{a} 
  libmono-system-servicemodel4.0a-cil{a} 
  libmono-system-serviceprocess4.0-cil{a} 
  libmono-system-threading-tasks-dataflow4.0-cil{a} 
  libmono-system-transactions4.0-cil{a} 
  libmono-system-web-abstractions4.0-cil{a} 
  libmono-system-web-applicationservices4.0-cil{a} 
  libmono-system-web-dynamicdata4.0-cil{a} 
  libmono-system-web-extensions-design4.0-cil{a} 
  libmono-system-web-extensions4.0-cil{a} 
  libmono-system-web-http-selfhost4.0-cil{a} 
  libmono-system-web-http-webhost4.0-cil{a} 
  libmono-system-web-http4.0-cil{a} libmono-system-web-mobile4.0-cil{a} 
  libmono-system-web-mvc3.0-cil{a} libmono-system-web-razor2.0-cil{a} 
  libmono-system-web-regularexpressions4.0-cil{a} 
  libmono-system-web-routing4.0-cil{a} 
  libmono-system-web-services4.0-cil{a} 
  libmono-system-web-webpages-deployment2.0-cil{a} 
  libmono-system-web-webpages-razor2.0-cil{a} 
  libmono-system-web-webpages2.0-cil{a} libmono-system-web4.0-cil{a} 
  libmono-system-windows-forms-datavisualization4.0a-cil{a} 
  libmono-system-windows-forms4.0-cil{ab} libmono-system-windows4.0-cil{a} 
  libmono-system-workflow-activities4.0-cil{a} 
  libmono-system-workflow-componentmodel4.0-cil{a} 
  libmono-system-workflow-runtime4.0-cil{a} libmono-system-xaml4.0-cil{a} 
  libmono-system-xml-linq4.0-cil{a} 
  libmono-system-xml-serialization4.0-cil{a} libmono-system-xml4.0-cil{a} 
  libmono-system4.0-cil{ab} libmono-tasklets4.0-cil{a} 
  libmono-webbrowser4.0-cil{a} libmono-webmatrix-data4.0-cil{a} 
  libmono-windowsbase4.0-cil{a} libmono-xbuild-tasks4.0-cil{ab} 
  libmonosgen-2.0-dev{a} libnunit-cil-dev{a} 
  libnunit-console-runner2.6.3-cil{a} libnunit-core-interfaces2.6.3-cil{a} 
  libnunit-core2.6.3-cil{a} libnunit-framework2.6.3-cil{a} 
  libnunit-mocks2.6.3-cil{a} libnunit-util2.6.3-cil{a} mono-4.0-gac{ab} 
  mono-4.0-service{a} mono-complete mono-csharp-shell{ab} mono-devel{ab} 
  mono-gac{a} mono-mcs{ab} mono-roslyn{a} mono-runtime{a} 
  mono-runtime-common{a} mono-runtime-sgen{a} mono-utils{a} mono-xbuild{ab} 
  monodoc-base{ab} monodoc-browser{a} monodoc-manual{a} msbuild{a} 
  msbuild-libhostfxr{a} msbuild-sdkresolver{a} referenceassemblies-pcl{a} 
The following packages will be REMOVED:
  ocl-icd-libopencl1:i386{u} 
The following packages will be upgraded:
  libmono-profiler libmonoboehm-2.0-1 libmonosgen-2.0-1 mono-jay 
The following packages are RECOMMENDED but will NOT be installed:
  libmono-btls-interface4.0-cil 
4 packages upgraded, 172 newly installed, 1 to remove and 181 not upgraded.
Need to get 79.6 MB of archives. After unpacking 298 MB will be used.
The following packages have unmet dependencies:
 mono-mcs : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                     libc6.1 (>= 2.23) which is a virtual package. or
                     libc0.1 (>= 2.23) which is a virtual package.
 libmono-microsoft-build-engine4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                                  libc6.1 (>= 2.23) which is a virtual package. or
                                                  libc0.1 (>= 2.23) which is a virtual package.
 libmono-microsoft-build-tasks-v4.0-4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                                       libc6.1 (>= 2.23) which is a virtual package. or
                                                       libc0.1 (>= 2.23) which is a virtual package.
 libmono-oracle4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                  libc6.1 (>= 2.23) which is a virtual package. or
                                  libc0.1 (>= 2.23) which is a virtual package.
 libgtk2.0-cil : Depends: libatk1.0-0 (>= 2.18.0) but 2.10.0-2ubuntu2 is installed.
                 Depends: libcairo2 (>= 1.14.0) but 1.13.0~20140204-0ubuntu1.1 is installed.
                 Depends: libgdk-pixbuf2.0-0 (>= 2.32.2) but 2.30.7-0ubuntu1.8 is installed.
                 Depends: libglib2.0-0 (>= 2.48.0) but 2.40.2-0ubuntu1 is installed.
                 Depends: libpango-1.0-0 (>= 1.38.1) but 1.36.3-1ubuntu1.1 is installed.
                 Depends: libpangocairo-1.0-0 (>= 1.38.1) but 1.36.3-1ubuntu1.1 is installed.
 mono-csharp-shell : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                              libc6.1 (>= 2.23) which is a virtual package. or
                              libc0.1 (>= 2.23) which is a virtual package.
 mono-devel : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                       libc6.1 (>= 2.23) which is a virtual package. or
                       libc0.1 (>= 2.23) which is a virtual package.
              Depends: libglib2.0-0 (>= 2.48.0) but 2.40.2-0ubuntu1 is installed.
 libmono-csharp4.0c-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                   libc6.1 (>= 2.23) which is a virtual package. or
                                   libc0.1 (>= 2.23) which is a virtual package.
 libmono-microsoft-build4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                           libc6.1 (>= 2.23) which is a virtual package. or
                                           libc0.1 (>= 2.23) which is a virtual package.
 libmono-system-drawing4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                          libc6.1 (>= 2.23) which is a virtual package. or
                                          libc0.1 (>= 2.23) which is a virtual package.
 libmono-xbuild-tasks4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                        libc6.1 (>= 2.23) which is a virtual package. or
                                        libc0.1 (>= 2.23) which is a virtual package.
 libmono-microsoft-build-utilities-v4.0-4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                                           libc6.1 (>= 2.23) which is a virtual package. or
                                                           libc0.1 (>= 2.23) which is a virtual package.
 libglib2.0-cil : Depends: libglib2.0-0 (>= 2.48.0) but 2.40.2-0ubuntu1 is installed.
 libmono-system-windows-forms4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                                libc6.1 (>= 2.23) which is a virtual package. or
                                                libc0.1 (>= 2.23) which is a virtual package.
 mono-4.0-gac : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                         libc6.1 (>= 2.23) which is a virtual package. or
                         libc0.1 (>= 2.23) which is a virtual package.
 monodoc-base : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                         libc6.1 (>= 2.23) which is a virtual package. or
                         libc0.1 (>= 2.23) which is a virtual package.
 libmono-system4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                  libc6.1 (>= 2.23) which is a virtual package. or
                                  libc0.1 (>= 2.23) which is a virtual package.
 mono-xbuild : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                        libc6.1 (>= 2.23) which is a virtual package. or
                        libc0.1 (>= 2.23) which is a virtual package.
 libmono-posix4.0-cil : Depends: libc6 (>= 2.23) but 2.19-0ubuntu6.14 is installed. or
                                 libc6.1 (>= 2.23) which is a virtual package. or
                                 libc0.1 (>= 2.23) which is a virtual package.
open: 450; closed: 166; defer: 412; conflict: 805                              .The following actions will resolve these dependencies:

       Keep the following packages at their current version:                    
1)       ca-certificates-mono [Not Installed]                                   
2)       libglade2.0-cil [Not Installed]                                        
3)       libglib2.0-cil [Not Installed]                                         
4)       libgtk2.0-cil [Not Installed]                                          
5)       libmono-accessibility4.0-cil [Not Installed]                           
6)       libmono-cairo4.0-cil [Not Installed]                                   
7)       libmono-cecil-private-cil [Not Installed]                              
8)       libmono-cil-dev [Not Installed]                                        
9)       libmono-codecontracts4.0-cil [Not Installed]                           
10)      libmono-compilerservices-symbolwriter4.0-cil [Not Installed]           
11)      libmono-corlib4.5-cil [Not Installed]                                  
12)      libmono-cscompmgd0.0-cil [Not Installed]                               
13)      libmono-csharp4.0c-cil [Not Installed]                                 
14)      libmono-custommarshalers4.0-cil [Not Installed]                        
15)      libmono-data-tds4.0-cil [Not Installed]                                
16)      libmono-db2-1.0-cil [Not Installed]                                    
17)      libmono-debugger-soft4.0a-cil [Not Installed]                          
18)      libmono-http4.0-cil [Not Installed]                                    
19)      libmono-i18n-cjk4.0-cil [Not Installed]                                
20)      libmono-i18n-mideast4.0-cil [Not Installed]                            
21)      libmono-i18n-other4.0-cil [Not Installed]                              
22)      libmono-i18n-rare4.0-cil [Not Installed]                               
23)      libmono-i18n-west4.0-cil [Not Installed]                               
24)      libmono-i18n4.0-all [Not Installed]                                    
25)      libmono-i18n4.0-cil [Not Installed]                                    
26)      libmono-ldap4.0-cil [Not Installed]                                    
27)      libmono-management4.0-cil [Not Installed]                              
28)      libmono-messaging-rabbitmq4.0-cil [Not Installed]                      
29)      libmono-messaging4.0-cil [Not Installed]                               
30)      libmono-microsoft-build-engine4.0-cil [Not Installed]                  
31)      libmono-microsoft-build-framework4.0-cil [Not Installed]               
32)      libmono-microsoft-build-tasks-v4.0-4.0-cil [Not Installed]             
33)      libmono-microsoft-build-utilities-v4.0-4.0-cil [Not Installed]         
34)      libmono-microsoft-build4.0-cil [Not Installed]                         
35)      libmono-microsoft-csharp4.0-cil [Not Installed]                        
36)      libmono-microsoft-visualc10.0-cil [Not Installed]                      
37)      libmono-microsoft-web-infrastructure1.0-cil [Not Installed]            
38)      libmono-oracle4.0-cil [Not Installed]                                  
39)      libmono-parallel4.0-cil [Not Installed]                                
40)      libmono-peapi4.0a-cil [Not Installed]                                  
41)      libmono-posix4.0-cil [Not Installed]                                   
42)      libmono-rabbitmq4.0-cil [Not Installed]                                
43)      libmono-relaxng4.0-cil [Not Installed]                                 
44)      libmono-security4.0-cil [Not Installed]                                
45)      libmono-sharpzip4.84-cil [Not Installed]                               
46)      libmono-simd4.0-cil [Not Installed]                                    
47)      libmono-smdiagnostics0.0-cil [Not Installed]                           
48)      libmono-sqlite4.0-cil [Not Installed]                                  
49)      libmono-system-componentmodel-composition4.0-cil [Not Installed]       
50)      libmono-system-componentmodel-dataannotations4.0-cil [Not Installed]   
51)      libmono-system-configuration-install4.0-cil [Not Installed]            
52)      libmono-system-configuration4.0-cil [Not Installed]                    
53)      libmono-system-core4.0-cil [Not Installed]                             
54)      libmono-system-data-datasetextensions4.0-cil [Not Installed]           
55)      libmono-system-data-entity4.0-cil [Not Installed]                      
56)      libmono-system-data-linq4.0-cil [Not Installed]                        
57)      libmono-system-data-services-client4.0-cil [Not Installed]             
58)      libmono-system-data-services4.0-cil [Not Installed]                    
59)      libmono-system-data4.0-cil [Not Installed]                             
60)      libmono-system-deployment4.0-cil [Not Installed]                       
61)      libmono-system-design4.0-cil [Not Installed]                           
62)      libmono-system-drawing-design4.0-cil [Not Installed]                   
63)      libmono-system-drawing4.0-cil [Not Installed]                          
64)      libmono-system-dynamic4.0-cil [Not Installed]                          
65)      libmono-system-enterpriseservices4.0-cil [Not Installed]               
66)      libmono-system-identitymodel-selectors4.0-cil [Not Installed]          
67)      libmono-system-identitymodel4.0-cil [Not Installed]                    
68)      libmono-system-io-compression-filesystem4.0-cil [Not Installed]        
69)      libmono-system-io-compression4.0-cil [Not Installed]                   
70)      libmono-system-json-microsoft4.0-cil [Not Installed]                   
71)      libmono-system-json4.0-cil [Not Installed]                             
72)      libmono-system-ldap-protocols4.0-cil [Not Installed]                   
73)      libmono-system-ldap4.0-cil [Not Installed]                             
74)      libmono-system-management4.0-cil [Not Installed]                       
75)      libmono-system-messaging4.0-cil [Not Installed]                        
76)      libmono-system-net-http-formatting4.0-cil [Not Installed]              
77)      libmono-system-net-http-webrequest4.0-cil [Not Installed]              
78)      libmono-system-net-http4.0-cil [Not Installed]                         
79)      libmono-system-net4.0-cil [Not Installed]                              
80)      libmono-system-numerics-vectors4.0-cil [Not Installed]                 
81)      libmono-system-numerics4.0-cil [Not Installed]                         
82)      libmono-system-reactive-core2.2-cil [Not Installed]                    
83)      libmono-system-reactive-debugger2.2-cil [Not Installed]                
84)      libmono-system-reactive-experimental2.2-cil [Not Installed]            
85)      libmono-system-reactive-interfaces2.2-cil [Not Installed]              
86)      libmono-system-reactive-linq2.2-cil [Not Installed]                    
87)      libmono-system-reactive-observable-aliases0.0-cil [Not Installed]      
88)      libmono-system-reactive-platformservices2.2-cil [Not Installed]        
89)      libmono-system-reactive-providers2.2-cil [Not Installed]               
90)      libmono-system-reactive-runtime-remoting2.2-cil [Not Installed]        
91)      libmono-system-reactive-windows-forms2.2-cil [Not Installed]           
92)      libmono-system-reactive-windows-threading2.2-cil [Not Installed]       
93)      libmono-system-reflection-context4.0-cil [Not Installed]               
94)      libmono-system-runtime-caching4.0-cil [Not Installed]                  
95)      libmono-system-runtime-durableinstancing4.0-cil [Not Installed]        
96)      libmono-system-runtime-serialization-formatters-soap4.0-cil [Not Instal
97)      libmono-system-runtime-serialization4.0-cil [Not Installed]            
98)      libmono-system-runtime4.0-cil [Not Installed]                          
99)      libmono-system-security4.0-cil [Not Installed]                         
100)     libmono-system-servicemodel-activation4.0-cil [Not Installed]          
101)     libmono-system-servicemodel-discovery4.0-cil [Not Installed]           
102)     libmono-system-servicemodel-internals0.0-cil [Not Installed]           
103)     libmono-system-servicemodel-routing4.0-cil [Not Installed]             
104)     libmono-system-servicemodel-web4.0-cil [Not Installed]                 
105)     libmono-system-servicemodel4.0a-cil [Not Installed]                    
106)     libmono-system-serviceprocess4.0-cil [Not Installed]                   
107)     libmono-system-threading-tasks-dataflow4.0-cil [Not Installed]         
108)     libmono-system-transactions4.0-cil [Not Installed]                     
109)     libmono-system-web-abstractions4.0-cil [Not Installed]                 
110)     libmono-system-web-applicationservices4.0-cil [Not Installed]          
111)     libmono-system-web-dynamicdata4.0-cil [Not Installed]                  
112)     libmono-system-web-extensions-design4.0-cil [Not Installed]            
113)     libmono-system-web-extensions4.0-cil [Not Installed]                   
114)     libmono-system-web-http-selfhost4.0-cil [Not Installed]                
115)     libmono-system-web-http-webhost4.0-cil [Not Installed]                 
116)     libmono-system-web-http4.0-cil [Not Installed]                         
117)     libmono-system-web-mobile4.0-cil [Not Installed]                       
118)     libmono-system-web-mvc3.0-cil [Not Installed]                          
119)     libmono-system-web-razor2.0-cil [Not Installed]                        
120)     libmono-system-web-regularexpressions4.0-cil [Not Installed]           
121)     libmono-system-web-routing4.0-cil [Not Installed]                      
122)     libmono-system-web-services4.0-cil [Not Installed]                     
123)     libmono-system-web-webpages-deployment2.0-cil [Not Installed]          
124)     libmono-system-web-webpages-razor2.0-cil [Not Installed]               
125)     libmono-system-web-webpages2.0-cil [Not Installed]                     
126)     libmono-system-web4.0-cil [Not Installed]                              
127)     libmono-system-windows-forms-datavisualization4.0a-cil [Not Installed] 
128)     libmono-system-windows-forms4.0-cil [Not Installed]                    
129)     libmono-system-windows4.0-cil [Not Installed]                          
130)     libmono-system-workflow-activities4.0-cil [Not Installed]              
131)     libmono-system-workflow-componentmodel4.0-cil [Not Installed]          
132)     libmono-system-workflow-runtime4.0-cil [Not Installed]                 
133)     libmono-system-xaml4.0-cil [Not Installed]                             
134)     libmono-system-xml-linq4.0-cil [Not Installed]                         
135)     libmono-system-xml-serialization4.0-cil [Not Installed]                
136)     libmono-system-xml4.0-cil [Not Installed]                              
137)     libmono-system4.0-cil [Not Installed]                                  
138)     libmono-tasklets4.0-cil [Not Installed]                                
139)     libmono-webbrowser4.0-cil [Not Installed]                              
140)     libmono-webmatrix-data4.0-cil [Not Installed]                          
141)     libmono-windowsbase4.0-cil [Not Installed]                             
142)     libmono-xbuild-tasks4.0-cil [Not Installed]                            
143)     libnunit-cil-dev [Not Installed]                                       
144)     libnunit-console-runner2.6.3-cil [Not Installed]                       
145)     libnunit-core-interfaces2.6.3-cil [Not Installed]                      
146)     libnunit-core2.6.3-cil [Not Installed]                                 
147)     libnunit-framework2.6.3-cil [Not Installed]                            
148)     libnunit-mocks2.6.3-cil [Not Installed]                                
149)     libnunit-util2.6.3-cil [Not Installed]                                 
150)     mono-4.0-gac [Not Installed]                                           
151)     mono-4.0-service [Not Installed]                                       
152)     mono-complete [Not Installed]                                          
153)     mono-csharp-shell [Not Installed]                                      
154)     mono-devel [Not Installed]                                             
155)     mono-gac [Not Installed]                                               
156)     mono-mcs [Not Installed]                                               
157)     mono-roslyn [Not Installed]                                            
158)     mono-runtime [Not Installed]                                           
159)     mono-runtime-common [Not Installed]                                    
160)     mono-runtime-sgen [Not Installed]                                      
161)     mono-utils [Not Installed]                                             
162)     mono-xbuild [Not Installed]                                            
163)     monodoc-base [Not Installed]                                           
164)     monodoc-browser [Not Installed]                                        
165)     monodoc-manual [Not Installed]                                         
166)     msbuild [Not Installed]                                                
167)     referenceassemblies-pcl [Not Installed]                                



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

       Install the following packages:                                          
1)       libmono-corlib4.5-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]         
2)       libmono-i18n4.0-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]           
3)       libmono-system-configuration4.0-cil [5.10.1.20-0xamarin1+debian7b1 (sta
4)       libmono-system4.0-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]         
5)       mono-4.0-gac [5.10.1.20-0xamarin1+debian7b1 (stable)]                  
6)       mono-gac [5.10.1.20-0xamarin1+debian7b1 (stable)]                      
7)       mono-runtime [5.10.1.20-0xamarin1+debian7b1 (stable)]                  
8)       mono-runtime-common [5.10.1.20-0xamarin1+debian7b1 (stable)]           
9)       mono-runtime-sgen [5.10.1.20-0xamarin1+debian7b1 (stable)]             

       Keep the following packages at their current version:                    
10)      libglade2.0-cil [Not Installed]                                        
11)      libglib2.0-cil [Not Installed]                                         
12)      libgtk2.0-cil [Not Installed]                                          
13)      libmono-cil-dev [Not Installed]                                        
14)      libmono-codecontracts4.0-cil [Not Installed]                           
15)      libmono-csharp4.0c-cil [Not Installed]                                 
16)      libmono-custommarshalers4.0-cil [Not Installed]                        
17)      libmono-db2-1.0-cil [Not Installed]                                    
18)      libmono-debugger-soft4.0a-cil [Not Installed]                          
19)      libmono-http4.0-cil [Not Installed]                                    
20)      libmono-i18n-cjk4.0-cil [Not Installed]                                
21)      libmono-i18n4.0-all [Not Installed]                                    
22)      libmono-management4.0-cil [Not Installed]                              
23)      libmono-microsoft-build-engine4.0-cil [Not Installed]                  
24)      libmono-microsoft-build-tasks-v4.0-4.0-cil [Not Installed]             
25)      libmono-microsoft-build-utilities-v4.0-4.0-cil [Not Installed]         
26)      libmono-microsoft-build4.0-cil [Not Installed]                         
27)      libmono-microsoft-csharp4.0-cil [Not Installed]                        
28)      libmono-microsoft-web-infrastructure1.0-cil [Not Installed]            
29)      libmono-oracle4.0-cil [Not Installed]                                  
30)      libmono-posix4.0-cil [Not Installed]                                   
31)      libmono-sqlite4.0-cil [Not Installed]                                  
32)      libmono-system-componentmodel-composition4.0-cil [Not Installed]       
33)      libmono-system-componentmodel-dataannotations4.0-cil [Not Installed]   
34)      libmono-system-core4.0-cil [Not Installed]                             
35)      libmono-system-data-datasetextensions4.0-cil [Not Installed]           
36)      libmono-system-data-entity4.0-cil [Not Installed]                      
37)      libmono-system-data-linq4.0-cil [Not Installed]                        
38)      libmono-system-data-services-client4.0-cil [Not Installed]             
39)      libmono-system-data-services4.0-cil [Not Installed]                    
40)      libmono-system-data4.0-cil [Not Installed]                             
41)      libmono-system-design4.0-cil [Not Installed]                           
42)      libmono-system-drawing-design4.0-cil [Not Installed]                   
43)      libmono-system-drawing4.0-cil [Not Installed]                          
44)      libmono-system-dynamic4.0-cil [Not Installed]                          
45)      libmono-system-identitymodel-selectors4.0-cil [Not Installed]          
46)      libmono-system-identitymodel4.0-cil [Not Installed]                    
47)      libmono-system-json-microsoft4.0-cil [Not Installed]                   
48)      libmono-system-json4.0-cil [Not Installed]                             
49)      libmono-system-messaging4.0-cil [Not Installed]                        
50)      libmono-system-net-http-formatting4.0-cil [Not Installed]              
51)      libmono-system-net-http-webrequest4.0-cil [Not Installed]              
52)      libmono-system-net-http4.0-cil [Not Installed]                         
53)      libmono-system-reactive-core2.2-cil [Not Installed]                    
54)      libmono-system-reactive-debugger2.2-cil [Not Installed]                
55)      libmono-system-reactive-experimental2.2-cil [Not Installed]            
56)      libmono-system-reactive-interfaces2.2-cil [Not Installed]              
57)      libmono-system-reactive-linq2.2-cil [Not Installed]                    
58)      libmono-system-reactive-observable-aliases0.0-cil [Not Installed]      
59)      libmono-system-reactive-platformservices2.2-cil [Not Installed]        
60)      libmono-system-reactive-providers2.2-cil [Not Installed]               
61)      libmono-system-reactive-runtime-remoting2.2-cil [Not Installed]        
62)      libmono-system-reactive-windows-forms2.2-cil [Not Installed]           
63)      libmono-system-reactive-windows-threading2.2-cil [Not Installed]       
64)      libmono-system-runtime-caching4.0-cil [Not Installed]                  
65)      libmono-system-runtime-durableinstancing4.0-cil [Not Installed]        
66)      libmono-system-runtime-serialization4.0-cil [Not Installed]            
67)      libmono-system-runtime4.0-cil [Not Installed]                          
68)      libmono-system-servicemodel-activation4.0-cil [Not Installed]          
69)      libmono-system-servicemodel-discovery4.0-cil [Not Installed]           
70)      libmono-system-servicemodel-routing4.0-cil [Not Installed]             
71)      libmono-system-servicemodel-web4.0-cil [Not Installed]                 
72)      libmono-system-servicemodel4.0a-cil [Not Installed]                    
73)      libmono-system-serviceprocess4.0-cil [Not Installed]                   
74)      libmono-system-threading-tasks-dataflow4.0-cil [Not Installed]         
75)      libmono-system-web-abstractions4.0-cil [Not Installed]                 
76)      libmono-system-web-dynamicdata4.0-cil [Not Installed]                  
77)      libmono-system-web-extensions-design4.0-cil [Not Installed]            
78)      libmono-system-web-extensions4.0-cil [Not Installed]                   
79)      libmono-system-web-http-selfhost4.0-cil [Not Installed]                
80)      libmono-system-web-http-webhost4.0-cil [Not Installed]                 
81)      libmono-system-web-http4.0-cil [Not Installed]                         
82)      libmono-system-web-mvc3.0-cil [Not Installed]                          
83)      libmono-system-web-razor2.0-cil [Not Installed]                        
84)      libmono-system-web-routing4.0-cil [Not Installed]                      
85)      libmono-system-web-services4.0-cil [Not Installed]                     
86)      libmono-system-web-webpages-deployment2.0-cil [Not Installed]          
87)      libmono-system-web-webpages-razor2.0-cil [Not Installed]               
88)      libmono-system-web-webpages2.0-cil [Not Installed]                     
89)      libmono-system-web4.0-cil [Not Installed]                              
90)      libmono-system-windows-forms-datavisualization4.0a-cil [Not Installed] 
91)      libmono-system-windows-forms4.0-cil [Not Installed]                    
92)      libmono-system-xaml4.0-cil [Not Installed]                             
93)      libmono-system-xml-linq4.0-cil [Not Installed]                         
94)      libmono-system-xml-serialization4.0-cil [Not Installed]                
95)      libmono-tasklets4.0-cil [Not Installed]                                
96)      libmono-webmatrix-data4.0-cil [Not Installed]                          
97)      libmono-windowsbase4.0-cil [Not Installed]                             
98)      libmono-xbuild-tasks4.0-cil [Not Installed]                            
99)      libnunit-cil-dev [Not Installed]                                       
100)     libnunit-console-runner2.6.3-cil [Not Installed]                       
101)     libnunit-util2.6.3-cil [Not Installed]                                 
102)     mono-4.0-service [Not Installed]                                       
103)     mono-complete [Not Installed]                                          
104)     mono-csharp-shell [Not Installed]                                      
105)     mono-devel [Not Installed]                                             
106)     mono-mcs [Not Installed]                                               
107)     mono-roslyn [Not Installed]                                            
108)     mono-utils [Not Installed]                                             
109)     mono-xbuild [Not Installed]                                            
110)     monodoc-base [Not Installed]                                           
111)     monodoc-browser [Not Installed]                                        
112)     monodoc-manual [Not Installed]                                         
113)     msbuild [Not Installed]                                                
114)     referenceassemblies-pcl [Not Installed]                                



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

       Install the following packages:                                          
1)       libmono-corlib4.5-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]         
2)       libmono-system-configuration4.0-cil [5.10.1.20-0xamarin1+debian7b1 (sta
3)       libmono-system4.0-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]         
4)       mono-4.0-gac [5.10.1.20-0xamarin1+debian7b1 (stable)]                  
5)       mono-gac [5.10.1.20-0xamarin1+debian7b1 (stable)]                      
6)       mono-runtime [5.10.1.20-0xamarin1+debian7b1 (stable)]                  
7)       mono-runtime-common [5.10.1.20-0xamarin1+debian7b1 (stable)]           
8)       mono-runtime-sgen [5.10.1.20-0xamarin1+debian7b1 (stable)]             

       Keep the following packages at their current version:                    
9)       libglade2.0-cil [Not Installed]                                        
10)      libglib2.0-cil [Not Installed]                                         
11)      libgtk2.0-cil [Not Installed]                                          
12)      libmono-cil-dev [Not Installed]                                        
13)      libmono-codecontracts4.0-cil [Not Installed]                           
14)      libmono-csharp4.0c-cil [Not Installed]                                 
15)      libmono-custommarshalers4.0-cil [Not Installed]                        
16)      libmono-db2-1.0-cil [Not Installed]                                    
17)      libmono-debugger-soft4.0a-cil [Not Installed]                          
18)      libmono-http4.0-cil [Not Installed]                                    
19)      libmono-i18n-cjk4.0-cil [Not Installed]                                
20)      libmono-i18n-mideast4.0-cil [Not Installed]                            
21)      libmono-i18n-other4.0-cil [Not Installed]                              
22)      libmono-i18n-rare4.0-cil [Not Installed]                               
23)      libmono-i18n-west4.0-cil [Not Installed]                               
24)      libmono-i18n4.0-all [Not Installed]                                    
25)      libmono-i18n4.0-cil [Not Installed]                                    
26)      libmono-management4.0-cil [Not Installed]                              
27)      libmono-microsoft-build-engine4.0-cil [Not Installed]                  
28)      libmono-microsoft-build-tasks-v4.0-4.0-cil [Not Installed]             
29)      libmono-microsoft-build-utilities-v4.0-4.0-cil [Not Installed]         
30)      libmono-microsoft-build4.0-cil [Not Installed]                         
31)      libmono-microsoft-csharp4.0-cil [Not Installed]                        
32)      libmono-microsoft-web-infrastructure1.0-cil [Not Installed]            
33)      libmono-oracle4.0-cil [Not Installed]                                  
34)      libmono-posix4.0-cil [Not Installed]                                   
35)      libmono-sqlite4.0-cil [Not Installed]                                  
36)      libmono-system-componentmodel-composition4.0-cil [Not Installed]       
37)      libmono-system-componentmodel-dataannotations4.0-cil [Not Installed]   
38)      libmono-system-core4.0-cil [Not Installed]                             
39)      libmono-system-data-datasetextensions4.0-cil [Not Installed]           
40)      libmono-system-data-entity4.0-cil [Not Installed]                      
41)      libmono-system-data-linq4.0-cil [Not Installed]                        
42)      libmono-system-data-services-client4.0-cil [Not Installed]             
43)      libmono-system-data-services4.0-cil [Not Installed]                    
44)      libmono-system-data4.0-cil [Not Installed]                             
45)      libmono-system-design4.0-cil [Not Installed]                           
46)      libmono-system-drawing-design4.0-cil [Not Installed]                   
47)      libmono-system-drawing4.0-cil [Not Installed]                          
48)      libmono-system-dynamic4.0-cil [Not Installed]                          
49)      libmono-system-identitymodel-selectors4.0-cil [Not Installed]          
50)      libmono-system-identitymodel4.0-cil [Not Installed]                    
51)      libmono-system-json-microsoft4.0-cil [Not Installed]                   
52)      libmono-system-json4.0-cil [Not Installed]                             
53)      libmono-system-messaging4.0-cil [Not Installed]                        
54)      libmono-system-net-http-formatting4.0-cil [Not Installed]              
55)      libmono-system-net-http-webrequest4.0-cil [Not Installed]              
56)      libmono-system-net-http4.0-cil [Not Installed]                         
57)      libmono-system-reactive-core2.2-cil [Not Installed]                    
58)      libmono-system-reactive-debugger2.2-cil [Not Installed]                
59)      libmono-system-reactive-experimental2.2-cil [Not Installed]            
60)      libmono-system-reactive-interfaces2.2-cil [Not Installed]              
61)      libmono-system-reactive-linq2.2-cil [Not Installed]                    
62)      libmono-system-reactive-observable-aliases0.0-cil [Not Installed]      
63)      libmono-system-reactive-platformservices2.2-cil [Not Installed]        
64)      libmono-system-reactive-providers2.2-cil [Not Installed]               
65)      libmono-system-reactive-runtime-remoting2.2-cil [Not Installed]        
66)      libmono-system-reactive-windows-forms2.2-cil [Not Installed]           
67)      libmono-system-reactive-windows-threading2.2-cil [Not Installed]       
68)      libmono-system-runtime-caching4.0-cil [Not Installed]                  
69)      libmono-system-runtime-durableinstancing4.0-cil [Not Installed]        
70)      libmono-system-runtime-serialization4.0-cil [Not Installed]            
71)      libmono-system-runtime4.0-cil [Not Installed]                          
72)      libmono-system-servicemodel-activation4.0-cil [Not Installed]          
73)      libmono-system-servicemodel-discovery4.0-cil [Not Installed]           
74)      libmono-system-servicemodel-routing4.0-cil [Not Installed]             
75)      libmono-system-servicemodel-web4.0-cil [Not Installed]                 
76)      libmono-system-servicemodel4.0a-cil [Not Installed]                    
77)      libmono-system-serviceprocess4.0-cil [Not Installed]                   
78)      libmono-system-threading-tasks-dataflow4.0-cil [Not Installed]         
79)      libmono-system-web-abstractions4.0-cil [Not Installed]                 
80)      libmono-system-web-dynamicdata4.0-cil [Not Installed]                  
81)      libmono-system-web-extensions-design4.0-cil [Not Installed]            
82)      libmono-system-web-extensions4.0-cil [Not Installed]                   
83)      libmono-system-web-http-selfhost4.0-cil [Not Installed]                
84)      libmono-system-web-http-webhost4.0-cil [Not Installed]                 
85)      libmono-system-web-http4.0-cil [Not Installed]                         
86)      libmono-system-web-mvc3.0-cil [Not Installed]                          
87)      libmono-system-web-razor2.0-cil [Not Installed]                        
88)      libmono-system-web-routing4.0-cil [Not Installed]                      
89)      libmono-system-web-services4.0-cil [Not Installed]                     
90)      libmono-system-web-webpages-deployment2.0-cil [Not Installed]          
91)      libmono-system-web-webpages-razor2.0-cil [Not Installed]               
92)      libmono-system-web-webpages2.0-cil [Not Installed]                     
93)      libmono-system-web4.0-cil [Not Installed]                              
94)      libmono-system-windows-forms-datavisualization4.0a-cil [Not Installed] 
95)      libmono-system-windows-forms4.0-cil [Not Installed]                    
96)      libmono-system-xaml4.0-cil [Not Installed]                             
97)      libmono-system-xml-linq4.0-cil [Not Installed]                         
98)      libmono-system-xml-serialization4.0-cil [Not Installed]                
99)      libmono-tasklets4.0-cil [Not Installed]                                
100)     libmono-webmatrix-data4.0-cil [Not Installed]                          
101)     libmono-windowsbase4.0-cil [Not Installed]                             
102)     libmono-xbuild-tasks4.0-cil [Not Installed]                            
103)     libnunit-cil-dev [Not Installed]                                       
104)     libnunit-console-runner2.6.3-cil [Not Installed]                       
105)     libnunit-util2.6.3-cil [Not Installed]                                 
106)     mono-4.0-service [Not Installed]                                       
107)     mono-complete [Not Installed]                                          
108)     mono-csharp-shell [Not Installed]                                      
109)     mono-devel [Not Installed]                                             
110)     mono-mcs [Not Installed]                                               
111)     mono-roslyn [Not Installed]                                            
112)     mono-utils [Not Installed]                                             
113)     mono-xbuild [Not Installed]                                            
114)     monodoc-base [Not Installed]                                           
115)     monodoc-browser [Not Installed]                                        
116)     monodoc-manual [Not Installed]                                         
117)     msbuild [Not Installed]                                                
118)     referenceassemblies-pcl [Not Installed]                                



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

       Install the following packages:                                          
1)       libmono-corlib4.5-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]         
2)       libmono-system-configuration4.0-cil [5.10.1.20-0xamarin1+debian7b1 (sta
3)       libmono-system4.0-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]         
4)       libmono-tasklets4.0-cil [5.10.1.20-0xamarin1+debian7b1 (stable)]       
5)       mono-4.0-gac [5.10.1.20-0xamarin1+debian7b1 (stable)]                  
6)       mono-gac [5.10.1.20-0xamarin1+debian7b1 (stable)]                      
7)       mono-runtime [5.10.1.20-0xamarin1+debian7b1 (stable)]                  
8)       mono-runtime-common [5.10.1.20-0xamarin1+debian7b1 (stable)]           
9)       mono-runtime-sgen [5.10.1.20-0xamarin1+debian7b1 (stable)]             

       Keep the following packages at their current version:                    
10)      libglade2.0-cil [Not Installed]                                        
11)      libglib2.0-cil [Not Installed]                                         
12)      libgtk2.0-cil [Not Installed]                                          
13)      libmono-cil-dev [Not Installed]                                        
14)      libmono-codecontracts4.0-cil [Not Installed]                           
15)      libmono-csharp4.0c-cil [Not Installed]                                 
16)      libmono-custommarshalers4.0-cil [Not Installed]                        
17)      libmono-db2-1.0-cil [Not Installed]                                    
18)      libmono-debugger-soft4.0a-cil [Not Installed]                          
19)      libmono-http4.0-cil [Not Installed]                                    
20)      libmono-i18n-cjk4.0-cil [Not Installed]                                
21)      libmono-i18n-mideast4.0-cil [Not Installed]                            
22)      libmono-i18n-other4.0-cil [Not Installed]                              
23)      libmono-i18n-rare4.0-cil [Not Installed]                               
24)      libmono-i18n-west4.0-cil [Not Installed]                               
25)      libmono-i18n4.0-all [Not Installed]                                    
26)      libmono-i18n4.0-cil [Not Installed]                                    
27)      libmono-management4.0-cil [Not Installed]                              
28)      libmono-microsoft-build-engine4.0-cil [Not Installed]                  
29)      libmono-microsoft-build-tasks-v4.0-4.0-cil [Not Installed]             
30)      libmono-microsoft-build-utilities-v4.0-4.0-cil [Not Installed]         
31)      libmono-microsoft-build4.0-cil [Not Installed]                         
32)      libmono-microsoft-csharp4.0-cil [Not Installed]                        
33)      libmono-microsoft-web-infrastructure1.0-cil [Not Installed]            
34)      libmono-oracle4.0-cil [Not Installed]                                  
35)      libmono-posix4.0-cil [Not Installed]                                   
36)      libmono-sqlite4.0-cil [Not Installed]                                  
37)      libmono-system-componentmodel-composition4.0-cil [Not Installed]       
38)      libmono-system-componentmodel-dataannotations4.0-cil [Not Installed]   
39)      libmono-system-core4.0-cil [Not Installed]                             
40)      libmono-system-data-datasetextensions4.0-cil [Not Installed]           
41)      libmono-system-data-entity4.0-cil [Not Installed]                      
42)      libmono-system-data-linq4.0-cil [Not Installed]                        
43)      libmono-system-data-services-client4.0-cil [Not Installed]             
44)      libmono-system-data-services4.0-cil [Not Installed]                    
45)      libmono-system-data4.0-cil [Not Installed]                             
46)      libmono-system-design4.0-cil [Not Installed]                           
47)      libmono-system-drawing-design4.0-cil [Not Installed]                   
48)      libmono-system-drawing4.0-cil [Not Installed]                          
49)      libmono-system-dynamic4.0-cil [Not Installed]                          
50)      libmono-system-identitymodel-selectors4.0-cil [Not Installed]          
51)      libmono-system-identitymodel4.0-cil [Not Installed]                    
52)      libmono-system-json-microsoft4.0-cil [Not Installed]                   
53)      libmono-system-json4.0-cil [Not Installed]                             
54)      libmono-system-messaging4.0-cil [Not Installed]                        
55)      libmono-system-net-http-formatting4.0-cil [Not Installed]              
56)      libmono-system-net-http-webrequest4.0-cil [Not Installed]              
57)      libmono-system-net-http4.0-cil [Not Installed]                         
58)      libmono-system-reactive-core2.2-cil [Not Installed]                    
59)      libmono-system-reactive-debugger2.2-cil [Not Installed]                
60)      libmono-system-reactive-experimental2.2-cil [Not Installed]            
61)      libmono-system-reactive-interfaces2.2-cil [Not Installed]              
62)      libmono-system-reactive-linq2.2-cil [Not Installed]                    
63)      libmono-system-reactive-observable-aliases0.0-cil [Not Installed]      
64)      libmono-system-reactive-platformservices2.2-cil [Not Installed]        
65)      libmono-system-reactive-providers2.2-cil [Not Installed]               
66)      libmono-system-reactive-runtime-remoting2.2-cil [Not Installed]        
67)      libmono-system-reactive-windows-forms2.2-cil [Not Installed]           
68)      libmono-system-reactive-windows-threading2.2-cil [Not Installed]       
69)      libmono-system-runtime-caching4.0-cil [Not Installed]                  
70)      libmono-system-runtime-durableinstancing4.0-cil [Not Installed]        
71)      libmono-system-runtime-serialization4.0-cil [Not Installed]            
72)      libmono-system-runtime4.0-cil [Not Installed]                          
73)      libmono-system-servicemodel-activation4.0-cil [Not Installed]          
74)      libmono-system-servicemodel-discovery4.0-cil [Not Installed]           
75)      libmono-system-servicemodel-routing4.0-cil [Not Installed]             
76)      libmono-system-servicemodel-web4.0-cil [Not Installed]                 
77)      libmono-system-servicemodel4.0a-cil [Not Installed]                    
78)      libmono-system-serviceprocess4.0-cil [Not Installed]                   
79)      libmono-system-threading-tasks-dataflow4.0-cil [Not Installed]         
80)      libmono-system-web-abstractions4.0-cil [Not Installed]                 
81)      libmono-system-web-dynamicdata4.0-cil [Not Installed]                  
82)      libmono-system-web-extensions-design4.0-cil [Not Installed]            
83)      libmono-system-web-extensions4.0-cil [Not Installed]                   
84)      libmono-system-web-http-selfhost4.0-cil [Not Installed]                
85)      libmono-system-web-http-webhost4.0-cil [Not Installed]                 
86)      libmono-system-web-http4.0-cil [Not Installed]                         
87)      libmono-system-web-mvc3.0-cil [Not Installed]                          
88)      libmono-system-web-razor2.0-cil [Not Installed]                        
89)      libmono-system-web-routing4.0-cil [Not Installed]                      
90)      libmono-system-web-services4.0-cil [Not Installed]                     
91)      libmono-system-web-webpages-deployment2.0-cil [Not Installed]          
92)      libmono-system-web-webpages-razor2.0-cil [Not Installed]               
93)      libmono-system-web-webpages2.0-cil [Not Installed]                     
94)      libmono-system-web4.0-cil [Not Installed]                              
95)      libmono-system-windows-forms-datavisualization4.0a-cil [Not Installed] 
96)      libmono-system-windows-forms4.0-cil [Not Installed]                    
97)      libmono-system-xaml4.0-cil [Not Installed]                             
98)      libmono-system-xml-linq4.0-cil [Not Installed]                         
99)      libmono-system-xml-serialization4.0-cil [Not Installed]                
100)     libmono-webmatrix-data4.0-cil [Not Installed]                          
101)     libmono-windowsbase4.0-cil [Not Installed]                             
102)     libmono-xbuild-tasks4.0-cil [Not Installed]                            
103)     libnunit-cil-dev [Not Installed]                                       
104)     libnunit-console-runner2.6.3-cil [Not Installed]                       
105)     libnunit-util2.6.3-cil [Not Installed]                                 
106)     mono-4.0-service [Not Installed]                                       
107)     mono-complete [Not Installed]                                          
108)     mono-csharp-shell [Not Installed]                                      
109)     mono-devel [Not Installed]                                             
110)     mono-mcs [Not Installed]                                               
111)     mono-roslyn [Not Installed]                                            
112)     mono-utils [Not Installed]                                             
113)     mono-xbuild [Not Installed]                                            
114)     monodoc-base [Not Installed]                                           
115)     monodoc-browser [Not Installed]                                        
116)     monodoc-manual [Not Installed]                                         
117)     msbuild [Not Installed]                                                
118)     referenceassemblies-pcl [Not Installed]                                



Accept this solution? [Y/n/q/?] n
The last option keeps repeating until I quit.
Operating System: Linux Mint 17 Cinnamon 64-bit
Cinnamon version: 2.8.8
Linux Kernel: 3.19.0-32-generic
User avatar
xenopeek
Level 24
Level 24
Posts: 24973
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Can't install mono-complete

Post by xenopeek »

Kindly share the output of this command to get your system version and repository configuration:
inxi -Sr

And also this one:
apt policy mono-mcs

Because https://packages.ubuntu.com/trusty-updates/mono-mcs clearly shows Linux Mint 17's mono-mcs depends on "libc6 (>= 2.19)" while your output says it depends on "libc6 (>= 2.23)". So you must have added a broken repository to your system. Let's figure out what and why and then burn it to cinders.
Image
Yoshimaster96
Level 1
Level 1
Posts: 8
Joined: Mon May 28, 2018 1:07 pm

Re: Can't install mono-complete

Post by Yoshimaster96 »

Here:

Code: Select all

inxi -Sr
System:    Host: jacob3-Inspiron-3521 Kernel: 3.19.0-32-generic x86_64 (64 bit)
           Desktop: Cinnamon 2.8.8  Distro: Linux Mint 17.3 Rosa
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb https://dl.winehq.org/wine-builds/debian/ DISTRO main
           Active apt sources in file: /etc/apt/sources.list.d/additional-repositories.list
           deb https://dl.winehq.org/wine-builds/ubuntu/ trusty main
           Active apt sources in file: /etc/apt/sources.list.d/d-apt.list
           deb http://master.dl.sourceforge.net/project/d-apt/ d-apt main #APT repository for D
           Active apt sources in file: /etc/apt/sources.list.d/dolphin-emu-ppa-trusty.list
           deb http://ppa.launchpad.net/dolphin-emu/ppa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/dolphin-emu/ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/removed.list
           deb http://archive.removed/ubuntu trusty-removed apps
           Active apt sources in file: /etc/apt/sources.list.d/gezakovacs-ppa-trusty.list
           deb http://ppa.launchpad.net/gezakovacs/ppa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/gezakovacs/ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/google.list
           deb https://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/gregory-hainaut-pcsx2_official_ppa-trusty.list
           deb http://ppa.launchpad.net/gregory-hainaut/pcsx2.official.ppa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/gregory-hainaut/pcsx2.official.ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/ingo-ios7support-trusty.list
           deb http://ppa.launchpad.net/ingo/ios7support/ubuntu trusty main
           deb-src http://ppa.launchpad.net/ingo/ios7support/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/inkscape_dev-stable-trusty.list
           deb http://ppa.launchpad.net/inkscape.dev/stable/ubuntu trusty main
           deb-src http://ppa.launchpad.net/inkscape.dev/stable/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/jonathonf-ffmpeg-3-trusty.list
           deb http://ppa.launchpad.net/jonathonf/ffmpeg-3/ubuntu trusty main
           deb-src http://ppa.launchpad.net/jonathonf/ffmpeg-3/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/kirillshkrogalev-ffmpeg-next-trusty.list
           deb http://ppa.launchpad.net/kirillshkrogalev/ffmpeg-next/ubuntu trusty main
           deb-src http://ppa.launchpad.net/kirillshkrogalev/ffmpeg-next/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/kxstudio-team-ariamaestosa-trusty.list
           deb http://ppa.launchpad.net/kxstudio-team/ariamaestosa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/kxstudio-team/ariamaestosa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/mono-official-stable.list
           deb https://download.mono-project.com/repo/ubuntu stable-xenial main
           Active apt sources in file: /etc/apt/sources.list.d/mono-xamarin.list
           deb http://download.mono-project.com/repo/debian wheezy main
           Active apt sources in file: /etc/apt/sources.list.d/nilarimogard-webupd8-trusty.list
           deb http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu trusty main
           deb-src http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/obsproject-obs-studio-trusty.list
           deb http://ppa.launchpad.net/obsproject/obs-studio/ubuntu trusty main
           deb-src http://ppa.launchpad.net/obsproject/obs-studio/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com rosa main upstream import #id:linuxmint_main
           deb http://extra.linuxmint.com rosa main #id:linuxmint_extra
           deb http://archive.ubuntu.com/ubuntu trusty main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ trusty partner
           Active apt sources in file: /etc/apt/sources.list.d/osmoma-audio-recorder-trusty.list
           deb http://ppa.launchpad.net/osmoma/audio-recorder/ubuntu trusty main
           deb-src http://ppa.launchpad.net/osmoma/audio-recorder/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/random-stuff-ppa-trusty.list
           deb http://ppa.launchpad.net/random-stuff/ppa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/random-stuff/ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/sergio-br2-vbam-trunk-trusty.list
           deb http://ppa.launchpad.net/sergio-br2/vbam-trunk/ubuntu trusty main
           deb-src http://ppa.launchpad.net/sergio-br2/vbam-trunk/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/skype-stable.list
           deb [arch=amd64] https://repo.skype.com/deb stable main
           Active apt sources in file: /etc/apt/sources.list.d/thomas-schiex-blender-trusty.list
           deb http://ppa.launchpad.net/thomas-schiex/blender/ubuntu trusty main
           deb-src http://ppa.launchpad.net/thomas-schiex/blender/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-trusty.list
           deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu trusty main
           deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/ubuntu-wine-ppa-trusty.list
           deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/webupd8team-java-trusty.list
           deb http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main
           deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/xorg-edgers-ppa-trusty.list
           deb http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu trusty main
           deb-src http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu trusty main

Code: Select all

apt policy mono-mcs
mono-mcs:
  Installed: (none)
  Candidate: 5.12.0.226-0xamarin3+ubuntu1604b1
  Version table:
     5.12.0.226-0xamarin3+ubuntu1604b1 0
        500 https://download.mono-project.com/repo/ubuntu/ stable-xenial/main amd64 Packages
     5.10.1.20-0xamarin1+debian7b1 0
        500 http://download.mono-project.com/repo/debian/ wheezy/main amd64 Packages
     3.2.8+dfsg-4ubuntu1.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
     3.2.8+dfsg-4ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
Operating System: Linux Mint 17 Cinnamon 64-bit
Cinnamon version: 2.8.8
Linux Kernel: 3.19.0-32-generic
User avatar
xenopeek
Level 24
Level 24
Posts: 24973
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Can't install mono-complete

Post by xenopeek »

So you have 2 repositories for mono on your system. One for Ubuntu 16.04 (Xenial) and one for Debian 7 (Wheezy). Neither will work with Linux Mint 17.3 as that is based on Ubuntu 14.04 (Trusty). You should remove both of these repositories from your system. Do so in Software Sources in your menu or by removing the files /etc/apt/sources.list.d/mono-official-stable.list and /etc/apt/sources.list.d/mono-xamarin.list manually.

Then following the steps for adding mono repository to your system for Ubuntu 14.04 here if you want to add (correct) mono repository back to your system: https://www.mono-project.com/download/s ... lin-ubuntu
Image
Post Reply

Return to “Software & Applications”